/*
 * Copyright 2011 Strategic Gains, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package com.strategicgains.atomexpress.domain.rss;

/**
 * Bean for clouds of RSS feeds.
 * 
 * @author toddf
 * 
 */
public class Cloud
{
	private String domain;
	private int port;
	private String path;
	private String registerProcedure;
	private String protocol;

	public Cloud()
	{
		super();
	}
	
	public Cloud(Cloud that)
	{
		this();
		
		if (that == null) return;
		
		setDomain(that.domain);
		setPort(that.port);
		setPath(that.path);
		setRegisterProcedure(that.registerProcedure);
		setProtocol(that.protocol);
	}

	public String getDomain()
	{
		return domain;
	}

	public Cloud setDomain(String domain)
	{
		this.domain = domain;
		return this;
	}

	public int getPort()
	{
		return port;
	}

	public Cloud setPort(int port)
	{
		this.port = port;
		return this;
	}

	public String getPath()
	{
		return path;
	}

	public Cloud setPath(String path)
	{
		this.path = path;
		return this;
	}

	public String getRegisterProcedure()
	{
		return registerProcedure;
	}

	public Cloud setRegisterProcedure(String registerProcedure)
	{
		this.registerProcedure = registerProcedure;
		return this;
	}

	public String getProtocol()
	{
		return protocol;
	}

	public Cloud setProtocol(String protocol)
	{
		this.protocol = protocol;
		return this;
	}
}
