/*
    Copyright 2011, Strategic Gains, Inc.

	Licensed under the Apache License, Version 2.0 (the "License");
	you may not use this file except in compliance with the License.
	You may obtain a copy of the License at

		http://www.apache.org/licenses/LICENSE-2.0

	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
 */
package com.strategicgains.atomexpress.domain.rss;

/**
 * Bean for item GUIDs of RSS feeds.
 * 
 * @author toddf
 */
public class Guid
{
	private boolean permaLink;
	private String value;

	public Guid()
	{
		super();
	}
	
	public Guid(Guid that)
	{
		this();
		
		if (that == null) return;
		
		setPermaLink(that.permaLink);
		setValue(that.value);
	}

	public boolean isPermaLink()
	{
		return permaLink;
	}

	public Guid setPermaLink(boolean permaLink)
	{
		this.permaLink = permaLink;
		return this;
	}

	public String getValue()
	{
		return value;
	}

	public Guid setValue(String value)
	{
		this.value = value;
		return this;
	}
}
